module.exports = {
  "transpileDependencies": [
    "vuetify",
    "leaflet-arrowheads"
  ],
  devServer: {
    host: "0.0.0.0",
    proxy: {
      "^/api(/|$)": {
        target: "http://localhost:3000",
      },
      "^/ws(/|$)": {
        target: "ws://localhost:3000",
        ws: true
      }
    }
  },
  chainWebpack: config => {
    config
      .plugin('html')
      .tap(args => {
        args[0].title = 'Dougal Web'
        return args
      })
  }
}
